from org.jpublish.example import User
from org.formproc.servlet import HttpForm

syslog.debug("Finding user in session.")
user = session.getAttribute("user")
if(user is None):
	syslog.debug("User not found in session.")
	user = User()
	session.setAttribute("user", user)

syslog.debug("Finding form in session.")
form = session.getAttribute("form")
if(form is None):
	syslog.debug("Form not found in session.")
	formManager = site.getFormManager()
	form = HttpForm()
	form.setName("test")
	form.setTarget(user)
	formManager.configure(form)
	
	syslog.debug("Setting the form attribute in the session.")
	session.setAttribute("form", form)

# populate the context
vc.put("user", user)
vc.put("form", form)
