form = session.getAttribute("form")
syslog.debug("Processing form")

if(form is None):
	syslog.debug("There is no form object in the session")
	vc.put("redirect", "formtest")
else:
	syslog.debug("Processing request")
	validationResults = form.process(request)
	if(validationResults.allValid()):
		syslog.debug("Form valid")
		vc.put("user", session.getAttribute("user"))
	else:
		session.setAttribute("results", validationResults)
		syslog.error("Request processing failed")
		vc.put("redirect", "formtest")
		
	